(Required) Defines features of the spatial data layer
| Get | /api/SpatialDataLayers/Layer/GetFeatures |
| Name | Description | Data Type |
|---|---|---|
| LayerName | Represents the layer name | string |
| category | Represents the category for the defined layer | LayerCategory |
| workspace | Represents the workspace name | string |
| bBox | Represents the bounding box parameters | MapBoundingBox |
| maxFeatures | Specifies the maximum features to be returned | string |
| properties | Indicates the properties of the spatial data layer | string |
| cqlFilter | Indicates the filter name | string |
| geometryFormat | Indicates the geometric format of the spatial data layer | string |
| api-version | Indicates the current API version | string |
The response body is of type FeatureCollection.
Success![]() |
FeatureCollection
Represents a collection of features
|
| Fault | Description |
|---|---|
| 400 | This fault returns a response body of type ProblemDetails. Bad Request |
| 401 | This fault returns a response body of type ProblemDetails. Unauthorized |